View Issue Details

IDProjectCategoryView StatusLast Update
0004340TechDrawBugpublic2020-06-26 17:14
Reporterimoldovan Assigned Towandererfan  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004340: Cannot add text to dims when in inches.
DescriptionWhen I change units to US Customary from the Preferences menu the prefixes and the suffixes that I add to the dimensions in the Format Spec disappear. If I revert back to Standard they come back.
Steps To ReproduceGo to Edit->Preferences->General->Units TAB->Unit System->US Customary
All the units prefixes disappear when you drag a dimension.
TagsNo tags attached.
FreeCAD InformationOS: KDE Flatpak runtime
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14555 (Git shallow)
Build type: Release
Branch: (HEAD detached at 783e134)
Hash: 783e1346c7a078f5265c3f0c6a927d09a8c1fe70
Python version: 3.7.4
Qt version: 5.14.2
Coin version: 4.0.0
OCC version: 7.3.0
Locale: English/Canada (en_CA)

Activities

openBrain

2020-05-18 12:32

developer   ~0014418

@imoldovan : please address your issue following our reporting guidelines by opening first a topic in our forum. Please get familiar with this important notice before. Once topic is created, please post here a link to it. Thx

wandererfan

2020-06-21 12:55

manager   ~0014577

Should be fixed by commit c19fae2cbb.

Kunda1

2020-06-26 17:13

administrator   ~0014592

Last edited: 2020-06-26 17:14

View 2 revisions

FreeCAD master c19fae2c

Edit: Attached commit to this mantis ticket
Closing ticket

Related Changesets

FreeCAD: master c19fae2c

2020-06-11 14:30:46

wandererfan

Details Diff
[TD]Treat Imperial1/USCustomary as single value schema Affected Issues
0004340
mod - src/Mod/TechDraw/App/DrawViewDimension.cpp Diff File

Issue History

Date Modified Username Field Change
2020-05-12 22:42 imoldovan New Issue
2020-05-14 21:56 imoldovan FreeCAD Information <!--ATTENTION: COMPLETELY ERASE THIS AFTER PASTING YOUR Help > About FreeCAD > Copy to clipboard NOTE: just the snippet alone will do without anything else included. The ticket will not be submitted without it. --> => OS: KDE Flatpak runtime Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.18.14555 (Git shallow) Build type: Release Branch: (HEAD detached at 783e134) Hash: 783e1346c7a078f5265c3f0c6a927d09a8c1fe70 Python version: 3.7.4 Qt versio...
2020-05-18 12:32 openBrain Status new => feedback
2020-05-18 12:32 openBrain Note Added: 0014418
2020-05-18 12:33 openBrain Tag Attached: #post-to-forum
2020-06-21 12:54 wandererfan Status feedback => resolved
2020-06-21 12:54 wandererfan Resolution open => fixed
2020-06-21 12:54 wandererfan Fixed in Version => 0.19
2020-06-21 12:55 wandererfan Note Added: 0014577
2020-06-26 17:13 Kunda1 Note Added: 0014592
2020-06-26 17:13 Kunda1 Changeset attached => FreeCAD master c19fae2c
2020-06-26 17:14 Kunda1 Note Edited: 0014592 View Revisions
2020-06-26 17:14 Kunda1 Assigned To => wandererfan
2020-06-26 17:14 Kunda1 Status resolved => closed
2020-06-26 17:14 Kunda1 Tag Detached: #post-to-forum